BlackBerry 7.1 now available for U.K. BlackBerry users

BlackBerry 7.1 now available for UK BlackBerry users
By DJ Reyes on 6 May 2012 04:15 pm EDT
-
loading...
-
loading...
-
loading...

A few weeks ago BlackBerry 7.1 became official in the U.K. through two networks. O2 UK were the first to drop it and then Three UK promptly followed suit. While customers have of those networks have been enjoying the updates, there hasn't been any follow up with the other three major networks in the UK. Of course, there are some BlackBerry users who don't mind installing other network udpates but there are some who prefer stock updates and sometimes those users can be left in the lurch when networks don't release them quickly enough.

It looks like RIM has helped to fix that issue and has released BlackBerry 7.1 in the UK for the following BlackBerry 7 smartphones - Bold 9900, Torch 9860 and 9810, Curve 9360 and 9380. For the Curve owners the update brings about and FM Radio app to utilise the built FM Radio on those Curve models. So, if you've been waiting to get your hands on the BlackBerry 7.1 update, get downloading now.

For more information and to download BlackBerry 7.1

Source: Tracy and Matt

6 comments

B4509

Vodafone UK have had OS 7.1 out for a while now, the last batch of users got it on May the 1st, the OTA update on the orange bold 9900 still says nothing either

theuncensoredthinker

No OTA update for virgin media uk?? If its available for download via the desktop why is it taking so long for virgin media to provide an OTA update?? Extremely annoying the lenght of time I'm having to wait

Rootbrian

Just download the 7.1 device software, install it, remove both vendor.xml files and load it up. Don't wait.

BigAl_BB9900

7.1 for Orange UK

http://forums.crackberry.com/blackberry-bold-9930-9900-f235/finally-oran...

Guys,

I downloaded and installed this (via USB / DM) on Friday night - pls see the URL above for my posts on this

B4509

Thanks, I updated my vodafone bold the same way a while back

Dunmanway Emar

This is frustrating. My Bold 9900 is on 7.0.0 and my provider is T-Mobile UK.

When I attempt to upgrade through the handset or by downloading via my PC (following your guide) I'm told that my device software is up to date.

What's going on?